# Uses of Interface
io.dapr.workflows.WorkflowContext

Packages that use WorkflowContext
Package
Description
io.dapr.workflows
io.dapr.workflows.runtime

## Uses of WorkflowContext in io.dapr.workflows

Methods in io.dapr.workflows with parameters of type WorkflowContext
Modifier and Type
Method
Description
`default void`
Workflow.`run(WorkflowContext ctx)`
Executes the workflow logic.
`void`
WorkflowStub.`run(WorkflowContext ctx)`

## Uses of WorkflowContext in io.dapr.workflows.runtime

Classes in io.dapr.workflows.runtime that implement WorkflowContext
Modifier and Type
Class
Description
`class`
`DefaultWorkflowContext`